function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	for i = 1, 75 do
		local w = self.Emitter:Add("effects/fleck_cement"..math.random(1,2), self.Start + Vector(math.Rand(-5,5), math.Rand(-5,5), math.Rand(0,3)))
		if w then
			w:SetVelocity(Vector(math.Rand(-175,175), math.Rand(-175,175), math.Rand(0,250)))
			w:SetDieTime(1.5)
			w:SetStartAlpha(255)
			w:SetEndAlpha(0)
			w:SetStartSize(1)
			w:SetEndSize(0)
			w:SetRoll(math.Rand(0,360))
			w:SetRollDelta(math.Rand(-5,5))
			w:SetAirResistance(70)
			w:SetColor(90,85,75)
			w:SetGravity(Vector(0,0,-600))
			w:SetCollide(true)
			w:SetBounce(0.6)
		end
	end
	for i = 1, 5 do
		local c = self.Emitter:Add("particle/particle_composite", self.Start)
		if c then
			c:SetDieTime(2)
			c:SetStartAlpha(100)
			c:SetEndAlpha(0)
			c:SetStartSize(15)
			c:SetEndSize(35)
			c:SetRoll(math.Rand(150, 360))
			c:SetRollDelta(math.Rand(-1,1))
			c:SetAirResistance(150)
			c:SetVelocity(Vector(math.random(-45,45), math.random(-45,45), math.random(0,65)))
			c:SetGravity(Vector(0, 0, -50))
			c:SetColor(90,85,75)
		end
	end
	for i = 1, 10 do
		local p = self.Emitter:Add("particle/smokesprites_000"..math.random(1, 9), self.Start + Vector(math.Rand(-10,10), math.Rand(-10,10), math.Rand(0,3)))
		p:SetDieTime(2)
		p:SetStartAlpha(math.Rand(75,125))
		p:SetEndAlpha(0)
		p:SetStartSize(math.random(20, 25))
		p:SetEndSize(math.Rand(50,60))
		p:SetRoll(math.Rand(-0.25, 0.25))
		p:SetRollDelta(math.Rand(-0.1,0.1))
		p:SetGravity(Vector(0,0,-30))
		p:SetVelocity(Vector(math.Rand(-10,10), math.Rand(-10,10), math.Rand(5,10)))
		p:SetColor(142,107,72)
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end